petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMMoabSetGlobalFieldVector

Sets the vector reference that represents the global solution associated with all fields (components) managed by DM. A useful utility when updating the DM solution after a solve, to be serialized with the mesh for checkpointing purposes.

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabSetGlobalFieldVector(DM dm, Vec fvec)

Not Collective

### Input Parameters

| dm | - the discretization manager object
| fvec | - the global Vector solution corresponding to all the fields managed by DM

### Keywords

discretization manager, set, component solution

### See Also

DMMoabGetFieldName(), DMMoabSetFieldVector()

Level:intermediate
Location:src/dm/impls/moab/dmmbfield.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex35.cxx.html